-- emoney
local emoneyData = {
    amount=6,
    [0] = { id="780070", emoney=60, origEmoney=0, price="$0.99", ani="copstore_bestvaluepic"},
    [1] = { id="780071", emoney=320, origEmoney=0, price="$4.99", ani="copstore_bestvaluepic"},
    [2] = { id="780072", emoney=530, origEmoney=0, price="$7.99", ani=""},
    [3] = { id="780073", emoney=1075, origEmoney=0, price="$15.99", ani=""},
    [4] = { id="780075", emoney=2050, origEmoney=0, price="$29.99", ani="copstore_mostpopularpic"},
    [5] = { id="780076", emoney=4200, origEmoney=0, price="$59.99", ani="copstore_mostpopularpic"},
}

-- Gold
local goldData = {
    amount=5,
    [0] = { id="80368", gold=500000, origGold=0,price="11",  ani="copstore_bestvaluepic"},
    [1] = { id="80369", gold=5000000, origGold=0,price="105", ani=""},
    [2] = { id="80370", gold=30000000, origGold=0,price="610", ani="copstore_mostpopularpic"},
    [3] = { id="80371", gold=200000000, origGold=0, price="3800", ani=""},
    [4] = { id="80372", gold=500000000, origGold=0,price="9000", ani="copstore_mostpopularpic"},
}

-- Exchange
local exchangeData = {
    url = "https://itunes.apple.com/lookup?id=",
    big = { name="ѩ Lanos",     ani="copstore_carpic", gold="168KKK"},
    amount=9,
    [0] = { name="ѩ Lanos",     ani="copstore_carpic", gold="168KKK", aniX=5, aniY=70},
    [1] = { name="Switch 32G", ani="copstore_switchpic", gold="4.8KKK", aniX=5, aniY=70},
    [2] = { name="Note8 pro",     ani="copstore_cokepic", gold="2.7KKK", aniX=20, aniY=60},
    [3] = { name="ִ10绰", ani="copstore_10cardpic", gold="7KK", aniX=10, aniY=50},
    [4] = { name="ִ50绰", ani="copstore_50cardpic", gold="35KK", aniX=10, aniY=50},
    [5] = { name="ִ100绰", ani="copstore_50cardpic", gold="70KK", aniX=10, aniY=50},
    [6] = { name="Orange10绰", ani="copstore_10cardpic", gold="7KK", aniX=10, aniY=50},
    [7] = { name="Orange50绰", ani="copstore_50cardpic", gold="35KK", aniX=10, aniY=50},
    [8] = { name="Orange100绰", ani="copstore_50cardpic", gold="70KK", aniX=10, aniY=50},
}


local function GetEmoneyDataAmount()
	return emoneyData.amount
end

local function GetEmoneyData(nIndex, key)
	return emoneyData[nIndex][key]
end

local function GetGoldDataAmount()
	return goldData.amount
end

local function GetGoldData(nIndex, key)
	return goldData[nIndex][key]
end



local function GetExchangeDataAmount()
	return exchangeData.amount
end

local function GetExchangeData(nIndex, key)
	return exchangeData[nIndex][key]
end

local function GetExchangeDataUrl()
	return exchangeData.url
end

local function Unload()
    emoneyData = nil
    goldData = nil
    exchangeData = nil
end

local copshop = {
    GetEmoneyDataAmount = GetEmoneyDataAmount,
    GetEmoneyData = GetEmoneyData,
    GetGoldDataAmount = GetGoldDataAmount,
    GetGoldData = GetGoldData,
    GetExchangeDataAmount = GetExchangeDataAmount,
    GetExchangeData = GetExchangeData,
    GetExchangeDataUrl = GetExchangeDataUrl,
    Unload = Unload,
}

-- global
copshop_GetEmoneyDataAmount = copshop.GetEmoneyDataAmount
copshop_GetEmoneyData = copshop.GetEmoneyData
copshop_GetGoldDataAmount = copshop.GetGoldDataAmount
copshop_GetGoldData = copshop.GetGoldData
copshop_GetExchangeDataAmount = copshop.GetExchangeDataAmount
copshop_GetExchangeData = copshop.GetExchangeData
copshop_GetExchangeDataUrl = copshop.GetExchangeDataUrl
copshop_Unload = copshop.Unload

return copshop
