-- ĸŵЧ͵װЧ
local DefaultIcon = {
	[1] = "rf_qldianji",
	[2] = "rf_zqdianji",
	[3] = "rf_bhdianji",
	[4] = "rf_xwdianji",
    bgeffect = "newrefbreathbg",
}

local function GetDefaultIcon(index, default)
    local res = DefaultIcon[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

-- Ч,0-3ʾ
local EffectPos = {
    background = { x = 480, y = 350, },
    box = { x = 500, y = 400, },
    [0] = { x= 830, y = 300,},
    [1] = { x= 460, y = 585,},
    [2] = { x= 140, y = 300,},
    [3] = { x= 460, y = 100,},
}

local function GetEffectPos(index, xory, default)
    local t = EffectPos[index]
    
    if (t ~= nil) then
        local res = t[xory]
        
        if (res ~= nil) then
            return res
        end
    end
    
    return default
end

-- лЧŷݶ
local TVScoreGrade = {
    num = 3,
    [0] = 200,
    [1] = 300,
    [2] = 360,
}

local function GetTVScoreGrade(index, default)
    local res = TVScoreGrade[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

-- 4,͸ݶȶӦЧ
local TVEffect = {
    [0] = { "shenshou1_2", "shenshou2_2", "shenshou3_2",},
    [1] = { "shenshou1_3", "shenshou2_3", "shenshou3_3",},
    [2] = { "shenshou1_4", "shenshou2_4", "shenshou3_4",},
    [3] = { "shenshou1_1", "shenshou2_1", "shenshou3_1",},
}

local function GetTVEffect(lParam, rParam, default)
    local t = TVEffect[lParam]
    
    if (t ~= nil) then
        local res = t[rParam]
        
        if (res ~= nil) then
            return res
        end
    end
    
    return default
end

-- Чݶ
local TVLevelGrade = {
    num = 3,
    [0] = 100,
    [1] = 200,
    [2] = 300,
}

local function GetTVLevelGrade(index, default)
    local res = TVLevelGrade[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

-- Ч
local TVBoxEffect = {
    [0] = "rf_fuwen",
    [1] = "rf_fuwen",
    [2] = "rf_fuwen",
}

local function GetTVBoxEffect(index, default)
    local res = TVBoxEffect[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

-- ԱȹЧ
local TVContrastEffect = {
    activateeffect = "rf_jihuo",
    contrasteffect = "rf_gaofen",
    x = 210,
    y = 150,
    Spacex = 450,
}

local function GetTVContrastEffect(index, default)
    local res = TVContrastEffect[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

local DlgInfo = {
-- ťƫ(ǰ) Ϊʱť
	ActiveBtnX = 120,
	ActiveBtnY = 70,
-- 
}

-- 
-- ֱ
local OpenLimit = {
-- ͨ
[0] = {
    [0] = { 1, 110, 0, },
    [1] = { 1, 110, 300, },
    [2] = { 1, 110, 300, },
    [3] = { 2, 110, 300, },
    [4] = { 2, 110, 300, },
    },
-- ·
[8] = {
    [0] = { 1, 110, 0, },
    [1] = { 1, 110, 300, },
    [2] = { 1, 110, 300, },
    [3] = { 2, 110, 300, },
    [4] = { 2, 110, 300, },
    },
-- 
[16] = {
    [0] = { 2, 100, 0, },
    [1] = { 2, 120, 300, },
    [2] = { 2, 120, 300, },
    [3] = { 2, 120, 300, },
    [4] = { 2, 120, 300, },
    },
-- ҡ˷
[32] = {
    [0] = { 0, 100, 0, },
    [1] = { 0, 100, 300, },
    [2] = { 0, 100, 300, },
    [3] = { 0, 100, 300, },
    [4] = { 0, 100, 300, },
    },
}

--
local TVIconBg = {
	-- δ
	[0] = {
		-- ȸ׻
		[0] = "newrefbreath_HqinglongPic",
		[1] = "newrefbreath_HzhuquePic",
		[2] = "newrefbreath_HbaihuPic",
		[3] = "newrefbreath_HxuanwuPic",
	},
	-- ѳ
	[1] = {
		[0] = "newrefbreath_qinglongPic",
		[1] = "newrefbreath_zhuquePic",
		[2] = "newrefbreath_baihuPic",
		[3] = "newrefbreath_xuanwuPic",
	},
}

local function GetTVIconBg(kind, index)
    local res = TVIconBg[kind][index]
    
    if (res ~= nil) then
        return res
    end
    
    return ""
end

local function GetOpenLimit(nServerType, nSlotIndex, nIndex, default)
    local t = OpenLimit[nServerType]
    if (t == nil) then
        return default
    end
    
    local k = t[nSlotIndex]
    if (k == nil) then
        return default
    end
    
    local res = k[nIndex]
    if (res == nil) then
        return default
    end

    return res
end

local function GetDlgInfo(index, default)
    local res = DlgInfo[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

local function Unload()
    DefaultIcon = nil
    TVScoreGrade = nil
    TVEffect = nil
    TVLevelGrade = nil
    TVBoxEffect = nil
    GetEffectPos = nil
    TVContrastEffect = nil
    GetDlgInfo = nil
    OpenLimit = nil
	TVIconBg = nil
	GetTVIconBg = nil
end

local TrainVitalityCfg = {
    GetDlgInfo = GetDlgInfo,
    GetDefaultIcon = GetDefaultIcon,
    GetTVScoreGrade = GetTVScoreGrade,
    GetTVEffect = GetTVEffect,
    GetTVLevelGrade = GetTVLevelGrade,
    GetTVBoxEffect = GetTVBoxEffect,
    GetEffectPos = GetEffectPos,
    GetTVContrastEffect = GetTVContrastEffect,
    GetOpenLimit = GetOpenLimit,
	TVIconBg = TVIconBg,
	GetTVIconBg = GetTVIconBg,
    Unload = Unload,
}


-- global
TrainVitalityCfg_GetDlgInfo = TrainVitalityCfg.GetDlgInfo
TrainVitalityCfg_GetDefaultIcon = TrainVitalityCfg.GetDefaultIcon
TrainVitalityCfg_GetTVScoreGrade = TrainVitalityCfg.GetTVScoreGrade
TrainVitalityCfg_GetTVEffect = TrainVitalityCfg.GetTVEffect
TrainVitalityCfg_GetTVLevelGrade = TrainVitalityCfg.GetTVLevelGrade
TrainVitalityCfg_GetTVBoxEffect = TrainVitalityCfg.GetTVBoxEffect
TrainVitalityCfg_GetEffectPos = TrainVitalityCfg.GetEffectPos
TrainVitalityCfg_GetTVContrastEffect = TrainVitalityCfg.GetTVContrastEffect
TrainVitalityCfg_Unload = TrainVitalityCfg.Unload
TrainVitalityCfg_GetOpenLimit = TrainVitalityCfg.GetOpenLimit
TrainVitalityCfg_GetTVIconBg = TrainVitalityCfg.GetTVIconBg
TrainVitalityCfg_Unload = TrainVitalityCfg.Unload

return TrainVitalityCfg
