local roleData = {
    space=30,
    amount=22,

    -- Role_MaleTaoist
    [0] = { faceAni = "Face9", pro=0},

    -- Role_FemaleTaoist
    [1] = { faceAni = "Face209", pro=1},

    -- Role_Malewarrior
    [2] = { faceAni = "Face2", pro=2},

    -- Role_Femalewarrior
    [3] = { faceAni = "Face202", pro=3},

    -- Role_MaleNinja
    [4] = { faceAni = "Face4", pro=4},

    -- Role_FemaleNinja
    [5] = { faceAni = "Face204", pro=5},

    -- Role_MalePirate
    [6] = { faceAni = "Face3", pro=6},

    -- Role_FemalePirate
    [7] = { faceAni = "Face203", pro=7},

    -- Role_MaleTrojan
    [8] = { faceAni = "Face5", pro=8},

    -- Role_FemaleTrojan
    [9] = { faceAni = "Face205", pro=9},

    -- Role_Monk
    [10] = { faceAni = "Face6", pro=10},

    -- Role_Saint
    [11] = { faceAni = "Face206", pro=11},

    [12] = { faceAni = "Face7", pro=12},
    [13] = { faceAni = "Face207", pro=13},

    [14] = { faceAni = "Face8", pro=14},
    [15] = { faceAni = "Face208", pro=15},

    [16] = { faceAni = "Face12", pro=16},
    [17] = { faceAni = "Face212", pro=17},

    [18] = { faceAni = "Face12", pro=18},
    [19] = { faceAni = "Face212", pro=19},

    [20] = { faceAni = "Face10", pro=20},
    [21] = { faceAni = "Face210", pro=21},
}

local function GetRoleSpaceX()
	return roleData.space
end

local function GetRoleAmount()
	return roleData.amount
end

local function GetRoleFaceAni(nIndex)
	return roleData[nIndex].faceAni
end

local function GetRolePro(nIndex)
	return roleData[nIndex].pro
end

local function Unload()
    roleData = nil
end

local cop_createrole = {
    GetRoleAmount = GetRoleAmount,
    GetRoleFaceAni = GetRoleFaceAni,
    GetRolePro = GetRolePro,
    Unload = Unload,
}

-- global
cop_createrole_GetRoleSpaceX = cop_createrole.GetRoleSpaceX
cop_createrole_GetRoleAmount = cop_createrole.GetRoleAmount
cop_createrole_GetRoleFaceAni = cop_createrole.GetRoleFaceAni
cop_createrole_GetRolePro = cop_createrole.GetRolePro
cop_createrole_Unload = cop_createrole.Unload

return cop_createrole
